Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 2022 08:14:43 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hello,

This is in regards with my complaint no 4635340

I spoke to the customer service agent Mr. Mohammed regarding my cancelled order  Which i did not cancel. 

I had a chat with Mr. Mazen Bassi regarding my grievances about the wrong pricing charged and promo. I was resolving the issue and he asked me to cancel the order and reorder the items for price discrepancy but to my shock, he himself cancled the order and there is no refund as well.

I had called customer service and they asked me to write an email the whole scenario. 

Kindle look into it and advise asap. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4635476